Bug 706328 - with 25GB left kvm refused to create more guests
with 25GB left kvm refused to create more guests
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.7
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Andrea Arcangeli
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier1
  Show dependency treegraph
 
Reported: 2011-05-20 02:29 EDT by Vivian Bian
Modified: 2011-08-15 11:39 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-15 11:39:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (366.97 KB, text/plain)
2011-05-20 02:29 EDT, Vivian Bian
no flags Details
ps -axv and /proc/meminfo (16.12 KB, application/x-gzip)
2011-05-26 06:13 EDT, Vivian Bian
no flags Details

  None (edit)
Description Vivian Bian 2011-05-20 02:29:48 EDT
Created attachment 500001 [details]
/var/log/messages

Description of problem:
Tried to create 1000 guests on the machine with 64 cores CPU and 512GB memory . But after successful creation of 512 guests , was told error: internal error Process exited while reading console log output: kvm_create_vm: Cannot allocate memory Could not create KVM context . 

When the error happened , checked with free 
# # free -lm
             total       used       free     shared    buffers     cached
Mem:        516238     490302      25935          0       1215     440519
Low:        516238     490302      25935
High:            0          0          0
-/+ buffers/cache:      48568     467670
Swap:        34239          0      34239

it says there are still 25GB left . command "top" shows every qemu-kvm process use 0.0% memory

And also atm , selinux status was Permissive . 

Version-Release number of selected component (if applicable):
kvm-83-230.el5

How reproducible:
Always

Steps to Reproduce:
1.try to start 1000 guests on 512GB memory machine 
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Vivian Bian 2011-05-20 02:38:00 EDT
each guest is with 512MB vMemory and 1 vCPU configured .
Comment 2 Andrea Arcangeli 2011-05-25 13:11:30 EDT
Hello Vivan,

could you post /proc/meminfo and ps xav too, when this happens?
Comment 4 Vivian Bian 2011-05-26 06:13:33 EDT
Created attachment 501038 [details]
ps -axv and /proc/meminfo

(In reply to comment #3)
> Could you also check if "echo 1 >/proc/sys/vm/overcommit_memory" workaround
> that and then everything works fine?

with echo command executed , still meet kvm_create_vm: Cannot allocate memory
Could not create KVM context errors
Comment 9 Ronen Hod 2011-08-15 11:39:55 EDT
Given our strict 5.8 bug fixing criteria, it seems as if we can survive without handling this issue.
Closing.

Note You need to log in before you can comment on or make changes to this bug.